Bug 882711 - Review Request: ovirt-host-deploy - oVirt host deploy tool
Review Request: ovirt-host-deploy - oVirt host deploy tool
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
:
Depends On: 882704
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 15:36 EST by Alon Bar-Lev
Modified: 2014-01-27 09:17 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 09:17:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dougsland: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-12-02 15:36:15 EST
Spec URL: https://github.com/downloads/alonbl/ovirt-host-deploy/ovirt-host-deploy.spec
SRPM URL: https://github.com/downloads/alonbl/ovirt-host-deploy/ovirt-host-deploy-0.0.0-0.0.master.fc17.src.rpm
Description: A dependency of oVirt project version 3.2 release, dependency of ovirt-engine.
Fedora Account System Username: alonbl
Comment 1 Alon Bar-Lev 2012-12-02 15:38:39 EST
This is my first package and I need sponsor.

I am the upstream maintainer.

Build:
Could not figure out how to build with dependency of bug#882704
I used scratch of rawhide and it does not find the dependency it should by documentation.

fedora-review report is similar to bug#882704, every comment will be fixed in both packages.
Comment 2 Alon Bar-Lev 2013-01-15 03:36:16 EST
beta is available[1].
we can progress.
what is the next stage?

[1] http://resources.ovirt.org/releases/3.2/src/ovirt-host-deploy-1.0.0_beta.tar.gz
Comment 3 Richard W.M. Jones 2013-01-21 02:58:02 EST
I'll take the review, but because I'm already sponsoring so many
people I can't be your sponsor.  You'll have to find someone else
to be a sponsor.

The first problem is that both URLs in comment 0 are 404's.
Comment 4 Alon Bar-Lev 2013-01-21 03:58:17 EST
(In reply to comment #3)
> I'll take the review, but because I'm already sponsoring so many
> people I can't be your sponsor.  You'll have to find someone else
> to be a sponsor.

Thank you, Juan and Ofer are already agreed to be sponsers.

> The first problem is that both URLs in comment 0 are 404's.

This was fixed in beta. I did not wish to repost the report.

Let's do otopi (bug#882704) first as it is dependency of this one.

Thanks!
Comment 5 Douglas Schilling Landgraf 2013-06-11 19:33:22 EDT
Hi Alon,

As I jumped to otopi bugzilla, here I am for ovirt-host-deploy.
Can you please update it? It's out of date.

1) Cannot find the spec
wget https://github.com/downloads/alonbl/ovirt-host-deploy/ovirt-host-deploy.spec
2013-06-11 20:29:07 ERROR 404: Not Found.

2) ovirt-host-deploy is not beta anymore.

Thanks
Douglas
Comment 6 Alon Bar-Lev 2013-06-12 04:24:18 EDT
Hello Douglas,

spec file is at upstream[1].

I will be happy if you can send patches to whatever you think that should be improved.

Thanks,
Alon

[1] http://gerrit.ovirt.org/gitweb?p=ovirt-host-deploy.git;a=blob;f=ovirt-host-deploy.spec.in;hb=HEAD
Comment 7 Douglas Schilling Landgraf 2013-06-13 17:56:36 EDT
Hi Alon,

(In reply to Alon Bar-Lev from comment #6)
> Hello Douglas,
> 
> spec file is at upstream[1].
> 
> I will be happy if you can send patches to whatever you think that should be
> improved.
> 

To get sponsored as rpm packager you need to show that you were able to meet all Fedora requirements to build a rpm. 

Based on that, can you please send an updated SPEC URL and SRPM URL as you did on comment#1 ?

Thanks
Douglas
Comment 9 Alon Bar-Lev 2013-09-18 03:36:59 EDT
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0

This will be fixed soon.
Comment 10 Douglas Schilling Landgraf 2013-09-18 20:26:29 EDT
(In reply to Alon Bar-Lev from comment #9)
> [!]: Sources can be downloaded from URI in Source: tag
>      Note: Could not download Source0
> 
> This will be fixed soon.

Correct. 

ovirt-host-deploy.src: W: invalid-url Source0: http://resources.ovirt.org/releases/stable/3.3/ovirt-host-deploy-1.1.1.tar.gz HTTP Error 404: Not Found

As soon you get this fixed, please update the bugzilla.

Also, please check the output of rpmlint:

ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi-plugins/otopi ../../../otopi/plugins/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi ../../../sbin/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/pythonlib/otopi ../../../../li
http://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#zero-length

Thanks
Douglas
Comment 11 Alon Bar-Lev 2013-09-19 03:21:19 EDT
(In reply to Douglas Schilling Landgraf from comment #10)
> (In reply to Alon Bar-Lev from comment #9)
> > [!]: Sources can be downloaded from URI in Source: tag
> >      Note: Could not download Source0
> > 
> > This will be fixed soon.
> 
> Correct. 
> 
> ovirt-host-deploy.src: W: invalid-url Source0:
> http://resources.ovirt.org/releases/stable/3.3/ovirt-host-deploy-1.1.1.tar.
> gz HTTP Error 404: Not Found
> 
> As soon you get this fixed, please update the bugzilla.

Fixed, tarball is now online and URL is corrected.

> 
> Also, please check the output of rpmlint:
> 
> ovirt-host-deploy.noarch: W: dangling-relative-symlink
> /usr/share/ovirt-host-deploy/interface-3/otopi-plugins/otopi
> ../../../otopi/plugins/otopi
> ovirt-host-deploy.noarch: W: hidden-file-or-dir
> /usr/share/ovirt-host-deploy/interface-3/.bundled
> ovirt-host-deploy.noarch: E: zero-length
> /usr/share/ovirt-host-deploy/interface-3/.bundled

These are part of the otopi bundle format.

> ovirt-host-deploy.noarch: W: dangling-relative-symlink
> /usr/share/ovirt-host-deploy/interface-3/otopi ../../../sbin/otopi
> ovirt-host-deploy.noarch: W: dangling-relative-symlink
> /usr/share/ovirt-host-deploy/interface-3/pythonlib/otopi ../../../../li
> http://fedoraproject.org/wiki/ParagNemade/CommonRpmlintErrors#zero-length

These point to otopi location, otopi is a dependency for this package.

> ovirt-host-deploy.noarch: W: hidden-file-or-dir
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.
> keep
> ovirt-host-deploy.noarch: E: zero-length
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.
> keep
> ovirt-host-deploy.noarch: W: hidden-file-or-dir
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.
> keep
> ovirt-host-deploy.noarch: E: zero-length
> /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.
> keep

Part of upstream structure.

Thanks!
Comment 13 Douglas Schilling Landgraf 2013-09-19 12:42:29 EDT
(In reply to Alon Bar-Lev from comment #12)
> spec[1]
> srpm[2]
> review report[3]
> 
> Thanks!
> 
> [1] https://github.com/alonbl/fedora-files/blob/master/ovirt-host-deploy.spec
> [2]
> https://github.com/alonbl/fedora-files/blob/master/ovirt-host-deploy-1.1.1-2.
> fc19.src.rpm
> [3]
> https://github.com/alonbl/fedora-files/blob/master/ovirt-host-deploy-review.
> txt

Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/fedora/ovirt-host-
  deploy/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

Source checksums
----------------
http://resources.ovirt.org/releases/3.3/src/ovirt-host-deploy-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7850b1fed1d50b5b0145a6885199b2a4c606ad66bc624c1486d29cb94368dba7
  CHECKSUM(SHA256) upstream package : 1252a84c19088fa250f2dabdb4b4a54c24f5b99f44b5abd47b87180803a8ca5d
diff -r also reports differences
Comment 14 Alon Bar-Lev 2013-09-19 13:01:13 EDT
(In reply to Douglas Schilling Landgraf from comment #13)
> Source checksums
> ----------------
> http://resources.ovirt.org/releases/3.3/src/ovirt-host-deploy-1.1.1.tar.gz :
>   CHECKSUM(SHA256) this package     :
> 7850b1fed1d50b5b0145a6885199b2a4c606ad66bc624c1486d29cb94368dba7
>   CHECKSUM(SHA256) upstream package :
> 1252a84c19088fa250f2dabdb4b4a54c24f5b99f44b5abd47b87180803a8ca5d
> diff -r also reports differences

Fixed, I thought we review the spec... no problem.
Comment 15 Douglas Schilling Landgraf 2013-09-19 16:10:12 EDT
Hi Alon,

Your package got approved, you can check the review below.

At this moment, please follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

If you have any questions please let me know.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in /home/fedora/ovirt-host-
     deploy/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ovirt-host-
     deploy-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ovirt-host-deploy-1.1.1-2.fc19.noarch.rpm
          ovirt-host-deploy-java-1.1.1-2.fc19.noarch.rpm
          ovirt-host-deploy-javadoc-1.1.1-2.fc19.noarch.rpm
          ovirt-host-deploy-1.1.1-2.fc19.src.rpm
ovirt-host-deploy.noarch: W: summary-not-capitalized C oVirt host deploy tool
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi-plugins/otopi ../../../otopi/plugins/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi ../../../sbin/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/pythonlib/otopi ../../../../lib/python2.7/site-packages/otopi
ovirt-host-deploy.noarch: W: no-manual-page-for-binary ovirt-host-deploy
ovirt-host-deploy-java.noarch: W: summary-not-capitalized C ovirt-host-deploy java support
ovirt-host-deploy-java.noarch: W: no-documentation
ovirt-host-deploy-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
ovirt-host-deploy.src: W: summary-not-capitalized C oVirt host deploy tool
4 packages and 0 specfiles checked; 3 errors, 12 warnings.
All above can be ignore.

Rpmlint (installed packages)
----------------------------
# rpmlint ovirt-host-deploy ovirt-host-deploy-java ovirt-host-deploy-javadoc
ovirt-host-deploy.noarch: W: summary-not-capitalized C oVirt host deploy tool
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi-plugins/otopi ../../../otopi/plugins/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/interface-3/.bundled
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/otopi ../../../sbin/otopi
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/hooks.d/.keep
ovirt-host-deploy.noarch: W: hidden-file-or-dir /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: E: zero-length /usr/share/ovirt-host-deploy/plugins/ovirt-host-deploy/vdsmhooks/packages.d/.keep
ovirt-host-deploy.noarch: W: dangling-relative-symlink /usr/share/ovirt-host-deploy/interface-3/pythonlib/otopi ../../../../lib/python2.7/site-packages/otopi
ovirt-host-deploy.noarch: W: no-manual-page-for-binary ovirt-host-deploy
ovirt-host-deploy-java.noarch: W: summary-not-capitalized C ovirt-host-deploy java support
ovirt-host-deploy-java.noarch: W: no-documentation
ovirt-host-deploy-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 3 errors, 11 warnings.
# echo 'rpmlint-done:'
All above can be ignore.


Requires
--------
ovirt-host-deploy (rpmlib, GLIBC filtered):
    /bin/sh
    otopi
    python
    python(abi)

ovirt-host-deploy-java (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    otopi-java
    ovirt-host-deploy

ovirt-host-deploy-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
ovirt-host-deploy:
    ovirt-host-deploy

ovirt-host-deploy-java:
    mvn(org.ovirt.ovirt-host-deploy:ovirt-host-deploy)
    ovirt-host-deploy-java

ovirt-host-deploy-javadoc:
    ovirt-host-deploy-javadoc

Source checksums
----------------
http://resources.ovirt.org/releases/3.3/src/ovirt-host-deploy-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1252a84c19088fa250f2dabdb4b4a54c24f5b99f44b5abd47b87180803a8ca5d
  CHECKSUM(SHA256) upstream package : 1252a84c19088fa250f2dabdb4b4a54c24f5b99f44b5abd47b87180803a8ca5d


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review --rpm-spec -n ./ovirt-host-deploy-1.1.1-2.fc19.src.rpm
Buildroot used: fedora-19-x86_64
Active plugins: Python, Shell-api, Generic, Java
Disabled plugins: C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Final Status: APPROVED
Comment 16 Alon Bar-Lev 2013-09-19 16:18:37 EDT
Thanks!

Waiting for the same reasons as bug#882704.
Comment 17 Alon Bar-Lev 2014-01-27 09:17:37 EST
Thank you for your review, it does not seems that ovirt-engine is progressing into inclusion in fedora so for now there is no reason to include this package as well.

Note You need to log in before you can comment on or make changes to this bug.